#declare ftex=texture{
 pigment{wood color_map{[0 rgb<.2,.4,.6>][1 rgb<.5,.7,1>]} scale .08}
 normal{wood .1 rotate x*10 scale <.005,1,.01> translate -y*15}
 finish{specular .3 roughness .06}
} 

#declare btex=texture{
 pigment{leopard turbulence 5 color_map{[0 rgb<.5,.7,1>][1 rgb<.4,.6,.8>]} scale<.01,.01,.2>}
 normal{leopard .15 turbulence 5 scale<.01,.01,.2>}
 finish{specular .1 roughness .1}
}

/*
#declare ftex=texture{
 pigment{wood color_map{[0 rgb<.2,.2,.2>][1 rgb<.7,.65,.6>]} scale .08}
 normal{wood .1 rotate x*10 scale <.005,1,.01> translate -y*15}
 finish{specular .3 roughness .06}
} 

#declare btex=texture{
 pigment{leopard turbulence 5 color_map{[0 rgb<.4,.4,.4>][1 rgb<.7,.65,.6>]} scale<.01,.01,.2>}
 normal{leopard .1 turbulence 5 scale<.01,.01,.2>}
 finish{specular .1 roughness .1}
}
*/


#declare feather=sphere{<0,0,-.2>,.6 scale<.1,.01,1> texture{ftex}}

#declare nf=10;
#declare s=seed(1066);

#declare tail=union{
 #while (nf>0)
  object{feather translate<.15-.3*rand(s),.05-.1*rand(s),.1-.2*rand(s)>}
  #declare nf=nf-1;
 #end
}

#declare nf=10;
#declare wing=union{
 #while (nf>0)
  object{feather scale .6 rotate z*80 rotate y*10 rotate x*20
   translate<.22+.1*rand(s),-.05-.2*rand(s),.2+.1*rand(s)>}
  #declare nf=nf-1;
 #end
} 

#declare body=blob{threshold 1
 sphere{0,.8,2 scale<.5,.5,.8> translate<-.15,-.2,.5>}
 sphere{0,.8,2 scale<.5,.5,.8> translate<.15,-.2,.5>}
 sphere{0,.6,2 scale<.3,.3,.5> translate<0,-.05,0>}
 sphere{0,1,2 scale<.3,.3,.5> translate<0,0,1>}
 texture{btex}
}

#declare leg=blob{threshold 1
 sphere{<.1,-.1,-.1>,.05,2}
 cylinder{<.1,-.1,-.1>,<.15,-.25,-.1>,.03,2}
 sphere{<.15,-.25,-.1>,.03,2}
 cylinder{<.15,-.25,-.1>,<.2,-.5,.05>,.03,2}
 cylinder{<.2,-.5,.05>,<.16,-.55,.15>,.02,2}
 cylinder{<.2,-.5,.05>,<.24,-.55,.17>,.02,2}
 cylinder{<.2,-.5,.05>,<.28,-.55,.13>,.02,2}
 pigment{wood rotate y*90 translate<0,1,-1> scale .035
  color_map{[0 rgb<.4,.3,.2>][.2 rgb<.7,.7,.7>][1 rgb<.7,.7,.7>]}}
 normal{wood .1 rotate y*90 translate<0,1,-1> scale .035}
}

#declare beak=difference{
 sphere{0,.1}
 sphere{<0,-.05,-.02>,.08 scale<1.5,1,1>}
 sphere{<.06,0,.06>,.02}
 sphere{<-.06,0,.06>,.02} 
 scale<.5,1,1> translate<0,-.1,1.25>
 pigment{rgb<.8,.6,.5>} finish{specular .6 roughness .04}
}

#declare eye=sphere{<.11,.03,1.13>,.05
 pigment{rgb .01}
 finish{reflection .4 specular .5 roughness .01}
}

#declare bird=union{
 object{tail rotate x*5}
 object{body}
 object{beak}
 object{eye}
 object{eye scale<-1,1,1>}
 object{wing}
 object{wing scale<-1,1,1>}
 object{leg}
 object{leg scale<-1,1,1>}
 rotate -x*30 rotate y*45
}
 
object{bird scale 1.5 translate<-11,1.65,-2.8>}